$(document).ready(function(){
      load(1);
    });

function load(page){
    var q= $("#q").val();
    var busc_tarifa= $("#busc_tarifa").val();
    $("#loader").fadeIn('slow');
    $.ajax({
        url:'php_clientes/tabla_clientes.php?action=ajax&page='+page+'&q='+q+'&busc_tarifa='+busc_tarifa,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
        },
        success:function(data){
            $(".outer_div").html(data).fadeIn('slow');
            $('#loader').html('');
        }
    })
}

function eliminar (id){
    var q= $("#q").val();
    if (confirm("Realmente deseas eliminar el cliente")){ 
    $.ajax({
        type: "GET",
        url: "php_clientes/eliminar_cliente.php",
        data: "id="+id,"q":q,
        beforeSend: function(objeto){
            $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados").html(datos);
        load(1);
        }
      });
    }
}


$( "#nuevo_clie" ).submit(function( event ) {
    $('#btn_cliente').attr("disabled", true);
    var parametros = $(this).serialize();
    $.ajax({
      type: "POST",
      url: "php_clientes/registrar_cliente.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados_cliente').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados_cliente").html(datos);
        $('#btn_cliente').attr("disabled", false);
        load(1);
        }
    });
    event.preventDefault();
})
